Munged does not start

Bug #1287624 reported by Sami Pietila
248
This bug affects 44 people
Affects Status Importance Assigned to Milestone
munge (Ubuntu)
High
Unassigned
Trusty
High
Unassigned
Xenial
High
Unassigned

Bug Description

Steps to reproduce:
===================
on 16.04 LTS:
$ sudo apt-get install munge

(without the fix, the install fails because it attempts to start the service in the package's postinst.)

on 14.04 LTS
$ sudo apt-get install munge
$ sudo /usr/sbin/create-munge-key
$ sudo service restart munge

(the service restart will fail if unfixed)

Regression Potential
====================
Patch is from the upstream author of munge, regressions introduced by the patch itself would have been seen there. Test packages were confirmed to address the issue.

Original bug report
===================
Munge daemon does not start in ubuntu 14.04 beta.

sudo service munge start
 * Starting MUNGE munged [fail]
munged: Error: Logfile is insecure: group-writable permissions set on "/var/log"

/var/log permissions are (I have not changed them in any way):
drwxrwxr-x 13 root syslog 4,0K maali 4 06:40 log

However, I can start munge manually by running "sudo munged -f", which runs the daemon despite warnings.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: munge 0.5.11-1ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-8.28-generic 3.13.2
Uname: Linux 3.13.0-8-generic x86_64
ApportVersion: 2.13.2-0ubuntu5
Architecture: amd64
Date: Tue Mar 4 11:30:24 2014
InstallationDate: Installed on 2014-02-26 (5 days ago)
InstallationMedia: Ubuntu-Server 14.04 LTS "Trusty Tahr" - Alpha amd64 (20140219)
SourcePackage: munge
UpgradeStatus: No upgrade log present (probably fresh install)

Revision history for this message
Sami Pietila (sampie) wrote :
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in munge (Ubuntu):
status: New → Confirmed
Revision history for this message
Alberto Salvia Novella (es20490446e) wrote :

It renders essential functionality of the package (or a dependent one) broken.

Changed in munge (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
Revision history for this message
spbike (bill-broadley) wrote :

Also doesn't work on the 14.04 release.

Revision history for this message
Antonio Messina (arcimboldo) wrote :

This bug affects me as well on a Ubuntu 14.04.

What is the best workaround here? I see two possibilities:

* changing permission on /var/log to 0755 and ownership from root to syslog user
* adding "OPTIONS=--force" to /etc/default/munge?

which one is the best?

Revision history for this message
Antonio Messina (arcimboldo) wrote :

Sorry, I just tried changing the ownershipt of /var/log, and munge is still complaining:

root@node-09-01-00:~# ls -ld /var/log
drwxr-xr-x 17 syslog root 4096 Sep 21 21:43 /var/log
root@node-09-01-00:~# service munge start
 * Starting MUNGE munged
   ...fail!
munged: Error: Logfile is insecure: invalid ownership of "/var/log"

The latter solution (running with --force) works.

Revision history for this message
Jared Casper (jaredcasper) wrote :

Looks like using the --syslog options also works.

Revision history for this message
Chris Dunlap (cdunlap) wrote :

Instead of using "--force" or "--syslog", I have a patch that fixes this here:

https://github.com/dun/munge/commit/ec4a2c679d43db5e194434bdc7489e1a92599aa5

This patch is part of the munge-0.5.12 release (in Yakkety), but it also applies cleanly against 0.5.11 (in Trusty-Xenial) and 0.5.10 (in Precise).

I believe this particular bug is also responsible for #1391175, #1448620, #1581225, #1586865, #1594363, and #1603205.

Revision history for this message
Chris Dunlap (cdunlap) wrote :

Hi. I'm the developer of MUNGE. I keep seeing new bug reports for this bug appear here in the tracker. The most recent one was yesterday (Bug 1680503).

This particular issue has been reported against Ubuntu 14.04 (this bug report), Ubuntu 14.10 (Bug 1391175), Ubuntu 15.04 (Bug 1448620), and Ubuntu 16.04 (Bug 1581225, Bug 1586865, Bug 1594363, Bug 1603205, Bug 1617842, Bug 1621578, Bug 1659458, Bug 1661104, Bug 1680503). It was fixed in munge-0.5.12 which appears in Ubuntu 16.10. I realize Ubuntu 14.10 and 15.04 have reached end-of-life, but I'd like to see this get fixed in 14.04 and 16.04 since they're both LTS releases.

The problem is due to the permission checks performed by munged. The daemon checks its directories (and their parent directories) to ensure they do not allow write permissions for group or other unless the sticky bit is set. Starting in Ubuntu 14.04, the permissions and ownership on the /var/log directory changed from 0755 root:root to 0775 root:syslog. This results in munged immediately exiting with [Error: Logfile is insecure: group-writable permissions set on "/var/log"].

This is easy to reproduce. Just install and start munge. It will fail every time it starts since /var/log is permissioned 0775.

This error can be suppressed if munged is started with either "--force" or "--syslog". But the patch I wrote for the 0.5.12 release fixes the permission check. It applies cleanly against 0.5.11. I'm attaching it here.

Revision history for this message
Ubuntu Foundations Team Bug Bot (crichton) wrote :

The attachment "0001-Ignore-group-writable-permissions-on-LogDir.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Revision history for this message
Chris Dunlap (cdunlap) wrote :

Until 0.5.11 is patched, the following steps will work around this problem.

For 14.04 and 14.10:

1. Add the following line to /etc/default/munge:
   OPTIONS="--syslog"

2. sudo /usr/sbin/create-munge-key

3. sudo service munge start

For 15.04, 15.10, and 16.04:

1. sudo systemctl edit --system --full munge.service
   While in the editor, append " --syslog" to the ExecStart line:
   ExecStart=/usr/sbin/munged --syslog

2. sudo systemctl enable munge.service

3. sudo systemctl start munge.service

Revision history for this message
Steve Beattie (sbeattie) wrote :

Hi Chris, thanks for creating and identifying the patch. Attached is a debdiff for trusty

Revision history for this message
Steve Beattie (sbeattie) wrote :

And here is a debdiff for xenial. Until I can get these sponsored into the respective proposed pockets for trusty and xenial, I have built packages available in my ppa at https://launchpad.net/~sbeattie/+archive/ubuntu/ppa for people to test.

Thanks again!

Changed in munge (Ubuntu):
status: Triaged → Fix Released
Changed in munge (Ubuntu Trusty):
status: New → Triaged
importance: Undecided → High
Changed in munge (Ubuntu Xenial):
status: New → Triaged
importance: Undecided → High
Revision history for this message
Semih Ozlem (semozl) wrote : Re: [Bug 1287624] Re: Munged does not start

Can you explain what munge is and what the bug is briefly to someone who
has no idea why that message is coming up?

Thank you

On Tue, Jun 13, 2017 at 8:21 AM, Steve Beattie <email address hidden> wrote:

> And here is a debdiff for xenial. Until I can get these sponsored into
> the respective proposed pockets for trusty and xenial, I have built
> packages available in my ppa at
> https://launchpad.net/~sbeattie/+archive/ubuntu/ppa for people to test.
>
> Thanks again!
>
> ** Patch added: "munge_0.5.11-3ubuntu0.1.debdiff"
> https://bugs.launchpad.net/ubuntu/+source/munge/+bug/
> 1287624/+attachment/4894936/+files/munge_0.5.11-3ubuntu0.1.debdiff
>
> ** Also affects: munge (Ubuntu Xenial)
> Importance: Undecided
> Status: New
>
> ** Also affects: munge (Ubuntu Trusty)
> Importance: Undecided
> Status: New
>
> ** Changed in: munge (Ubuntu)
> Status: Triaged => Fix Released
>
> ** Changed in: munge (Ubuntu Trusty)
> Status: New => Triaged
>
> ** Changed in: munge (Ubuntu Trusty)
> Importance: Undecided => High
>
> ** Changed in: munge (Ubuntu Xenial)
> Status: New => Triaged
>
> ** Changed in: munge (Ubuntu Xenial)
> Importance: Undecided => High
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1696002).
> https://bugs.launchpad.net/bugs/1287624
>
> Title:
> Munged does not start
>
> Status in munge package in Ubuntu:
> Fix Released
> Status in munge source package in Trusty:
> Triaged
> Status in munge source package in Xenial:
> Triaged
>
> Bug description:
> Munge daemon does not start in ubuntu 14.04 beta.
>
> sudo service munge start
> * Starting MUNGE munged
> [fail]
> munged: Error: Logfile is insecure: group-writable permissions set on
> "/var/log"
>
> /var/log permissions are (I have not changed them in any way):
> drwxrwxr-x 13 root syslog 4,0K maali 4 06:40 log
>
> However, I can start munge manually by running "sudo munged -f", which
> runs the daemon despite warnings.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: munge 0.5.11-1ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-8.28-generic 3.13.2
> Uname: Linux 3.13.0-8-generic x86_64
> ApportVersion: 2.13.2-0ubuntu5
> Architecture: amd64
> Date: Tue Mar 4 11:30:24 2014
> InstallationDate: Installed on 2014-02-26 (5 days ago)
> InstallationMedia: Ubuntu-Server 14.04 LTS "Trusty Tahr" - Alpha amd64
> (20140219)
> SourcePackage: munge
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/munge/+bug/
> 1287624/+subscriptions
>

Revision history for this message
Chris Dunlap (cdunlap) wrote :

I can confirm the updated munge packages from your ppa work for both trusty and xenial. Thanks, Steve!

Revision history for this message
Chris Dunlap (cdunlap) wrote :

Semih, munge is an authentication service oftentimes used in an HPC cluster environment. It was likely installed as a dependency when you installed slurm. You're seeing these messages because you submitted Bug 1696002 which was marked as a duplicate of this bug.

Revision history for this message
Marc Deslauriers (mdeslaur) wrote :

Uploaded for processing by the SRU team, thanks!

description: updated
Changed in munge (Ubuntu Trusty):
status: Triaged → In Progress
Changed in munge (Ubuntu Xenial):
status: Triaged → In Progress
Steve Beattie (sbeattie)
description: updated
Revision history for this message
Chris J Arges (arges) wrote : Please test proposed package

Hello Sami, or anyone else affected,

Accepted munge into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/munge/0.5.11-3ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in munge (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in munge (Ubuntu Trusty):
status: In Progress → Fix Committed
Revision history for this message
Chris J Arges (arges) wrote :

Hello Sami, or anyone else affected,

Accepted munge into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/munge/0.5.11-1ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Revision history for this message
Semih Ozlem (semozl) wrote : Re: [Bug 1287624] Re: Munged does not start
Download full text (4.8 KiB)

Hi Chris,

At the moment slurm, munge, sview are all installed. So the problem I was
encountering seems to be resolved. So thank you. I say seems, only because
I do not know enough to check everything about them. At least I am able to
view the manual pages for those three commands.

I have some questions: I gather that munge has something to do with HPCC
high performance computing clusters. I am working with a laptop, and have
not been using a computing cluster, at least to my knowledge. In that case
why would slurm or munge or sview be installed on my system and what other
programs depend on it? Is a multi core machine capable of emulating an
HPCC, or would it use resources of an HPCC by connecting over internet?

I am also wondering if there are some tests I could run to check whether
all those three commands are functioning as they should?

The other question I have is to do with this, I am working on my own on
learning about open source software and ubuntu, reading things written
online, and I would like to continue to do so, and might be interested in
getting to know other people and even trying to involve other people.
However I am not working under any company. I am a graduate student. I am
interested in finding employment as well as continuing being involved with
open source, linux, possibly ubuntu. Who should I contact or get in touch
with? Do you work for ubuntu? How did you start? How can I get involved?

Semih

On Thu, Jun 15, 2017 at 12:40 AM, Chris J Arges <email address hidden>
wrote:

> Hello Sami, or anyone else affected,
>
> Accepted munge into xenial-proposed. The package will build now and be
> available at
> https://launchpad.net/ubuntu/+source/munge/0.5.11-3ubuntu0.1 in a few
> hours, and then in the -proposed repository.
>
> Please help us by testing this new package. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Your feedback will aid us getting this update
> out to other Ubuntu users.
>
> If this package fixes the bug for you, please add a comment to this bug,
> mentioning the version of the package you tested, and change the tag
> from verification-needed to verification-done. If it does not fix the
> bug for you, please add a comment stating that, and change the tag to
> verification-failed. In either case, details of your testing will help
> us make a better decision.
>
> Further information regarding the verification process can be found at
> https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in
> advance!
>
> ** Changed in: munge (Ubuntu Xenial)
> Status: In Progress => Fix Committed
>
> ** Tags added: verification-needed
>
> ** Changed in: munge (Ubuntu Trusty)
> Status: In Progress => Fix Committed
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1696002).
> https://bugs.launchpad.net/bugs/1287624
>
> Title:
> Munged does not start
>
> Status in munge package in Ubuntu:
> Fix Released
> Status in munge source package in Trusty:
> Fix Committed
> Status in munge source package in Xenial:
> Fix Committed
>
> Bug description:
> Steps to reproduce:
> ==...

Read more...

Revision history for this message
Semih Ozlem (semozl) wrote :
Download full text (5.2 KiB)

Hi Chris,

Also please forgive my ignorance in this matter. I am also reading the
online pages on munge just right now.

On Thu, Jun 15, 2017 at 12:29 PM, Semih Özlem <email address hidden> wrote:

> Hi Chris,
>
> At the moment slurm, munge, sview are all installed. So the problem I was
> encountering seems to be resolved. So thank you. I say seems, only because
> I do not know enough to check everything about them. At least I am able to
> view the manual pages for those three commands.
>
> I have some questions: I gather that munge has something to do with HPCC
> high performance computing clusters. I am working with a laptop, and have
> not been using a computing cluster, at least to my knowledge. In that case
> why would slurm or munge or sview be installed on my system and what other
> programs depend on it? Is a multi core machine capable of emulating an
> HPCC, or would it use resources of an HPCC by connecting over internet?
>
> I am also wondering if there are some tests I could run to check whether
> all those three commands are functioning as they should?
>
> The other question I have is to do with this, I am working on my own on
> learning about open source software and ubuntu, reading things written
> online, and I would like to continue to do so, and might be interested in
> getting to know other people and even trying to involve other people.
> However I am not working under any company. I am a graduate student. I am
> interested in finding employment as well as continuing being involved with
> open source, linux, possibly ubuntu. Who should I contact or get in touch
> with? Do you work for ubuntu? How did you start? How can I get involved?
>
> Semih
>
> On Thu, Jun 15, 2017 at 12:40 AM, Chris J Arges <
> <email address hidden>> wrote:
>
>> Hello Sami, or anyone else affected,
>>
>> Accepted munge into xenial-proposed. The package will build now and be
>> available at
>> https://launchpad.net/ubuntu/+source/munge/0.5.11-3ubuntu0.1 in a few
>> hours, and then in the -proposed repository.
>>
>> Please help us by testing this new package. See
>> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
>> enable and use -proposed. Your feedback will aid us getting this update
>> out to other Ubuntu users.
>>
>> If this package fixes the bug for you, please add a comment to this bug,
>> mentioning the version of the package you tested, and change the tag
>> from verification-needed to verification-done. If it does not fix the
>> bug for you, please add a comment stating that, and change the tag to
>> verification-failed. In either case, details of your testing will help
>> us make a better decision.
>>
>> Further information regarding the verification process can be found at
>> https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in
>> advance!
>>
>> ** Changed in: munge (Ubuntu Xenial)
>> Status: In Progress => Fix Committed
>>
>> ** Tags added: verification-needed
>>
>> ** Changed in: munge (Ubuntu Trusty)
>> Status: In Progress => Fix Committed
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1696002).
>> https://bugs.launchpad....

Read more...

Revision history for this message
Semih Ozlem (semozl) wrote : Re: [Bug 1287624] Please test proposed package
Download full text (3.3 KiB)

Hi Chris,

I tried. The programs munge, slurm and sview were installed but munge was
still giving errors, so I removed the programs.

Semih

On Thu, Jun 15, 2017 at 12:41 AM, Chris J Arges <email address hidden>
wrote:

> Hello Sami, or anyone else affected,
>
> Accepted munge into trusty-proposed. The package will build now and be
> available at
> https://launchpad.net/ubuntu/+source/munge/0.5.11-1ubuntu1.1 in a few
> hours, and then in the -proposed repository.
>
> Please help us by testing this new package. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Your feedback will aid us getting this update
> out to other Ubuntu users.
>
> If this package fixes the bug for you, please add a comment to this bug,
> mentioning the version of the package you tested, and change the tag
> from verification-needed to verification-done. If it does not fix the
> bug for you, please add a comment stating that, and change the tag to
> verification-failed. In either case, details of your testing will help
> us make a better decision.
>
> Further information regarding the verification process can be found at
> https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in
> advance!
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1696002).
> https://bugs.launchpad.net/bugs/1287624
>
> Title:
> Munged does not start
>
> Status in munge package in Ubuntu:
> Fix Released
> Status in munge source package in Trusty:
> Fix Committed
> Status in munge source package in Xenial:
> Fix Committed
>
> Bug description:
> Steps to reproduce:
> ===================
> on 16.04 LTS:
> $ sudo apt-get install munge
>
> (without the fix, the install fails because it attempts to start the
> service in the package's postinst.)
>
> on 14.04 LTS
> $ sudo apt-get install munge
> $ sudo /usr/sbin/create-munge-key
> $ sudo service restart munge
>
> (the service restart will fail if unfixed)
>
> Regression Potential
> ====================
> Patch is from the upstream author of munge, regressions introduced by
> the patch itself would have been seen there. Test packages were confirmed
> to address the issue.
>
> Original bug report
> ===================
> Munge daemon does not start in ubuntu 14.04 beta.
>
> sudo service munge start
> * Starting MUNGE munged
> [fail]
> munged: Error: Logfile is insecure: group-writable permissions set on
> "/var/log"
>
> /var/log permissions are (I have not changed them in any way):
> drwxrwxr-x 13 root syslog 4,0K maali 4 06:40 log
>
> However, I can start munge manually by running "sudo munged -f", which
> runs the daemon despite warnings.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: munge 0.5.11-1ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-8.28-generic 3.13.2
> Uname: Linux 3.13.0-8-generic x86_64
> ApportVersion: 2.13.2-0ubuntu5
> Architecture: amd64
> Date: Tue Mar 4 11:30:24 2014
> InstallationDate: Installed on 2014-02-26 (5 days ago)
> InstallationMedia: Ubuntu-Server 14.04 LTS "Trusty Tahr" - Alpha amd64
> (20140219)
> So...

Read more...

Revision history for this message
Semih Ozlem (semozl) wrote :
Download full text (3.7 KiB)

I will try again, but I am also working on something else as well. Also my
machine's memory is full, so I may have to do some backing up and trying to
free some memory.

On Thu, Jun 15, 2017 at 9:32 PM, Semih Özlem <email address hidden> wrote:

> Hi Chris,
>
> I tried. The programs munge, slurm and sview were installed but munge was
> still giving errors, so I removed the programs.
>
> Semih
>
> On Thu, Jun 15, 2017 at 12:41 AM, Chris J Arges <
> <email address hidden>> wrote:
>
>> Hello Sami, or anyone else affected,
>>
>> Accepted munge into trusty-proposed. The package will build now and be
>> available at
>> https://launchpad.net/ubuntu/+source/munge/0.5.11-1ubuntu1.1 in a few
>> hours, and then in the -proposed repository.
>>
>> Please help us by testing this new package. See
>> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
>> enable and use -proposed. Your feedback will aid us getting this update
>> out to other Ubuntu users.
>>
>> If this package fixes the bug for you, please add a comment to this bug,
>> mentioning the version of the package you tested, and change the tag
>> from verification-needed to verification-done. If it does not fix the
>> bug for you, please add a comment stating that, and change the tag to
>> verification-failed. In either case, details of your testing will help
>> us make a better decision.
>>
>> Further information regarding the verification process can be found at
>> https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in
>> advance!
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1696002).
>> https://bugs.launchpad.net/bugs/1287624
>>
>> Title:
>> Munged does not start
>>
>> Status in munge package in Ubuntu:
>> Fix Released
>> Status in munge source package in Trusty:
>> Fix Committed
>> Status in munge source package in Xenial:
>> Fix Committed
>>
>> Bug description:
>> Steps to reproduce:
>> ===================
>> on 16.04 LTS:
>> $ sudo apt-get install munge
>>
>> (without the fix, the install fails because it attempts to start the
>> service in the package's postinst.)
>>
>> on 14.04 LTS
>> $ sudo apt-get install munge
>> $ sudo /usr/sbin/create-munge-key
>> $ sudo service restart munge
>>
>> (the service restart will fail if unfixed)
>>
>> Regression Potential
>> ====================
>> Patch is from the upstream author of munge, regressions introduced by
>> the patch itself would have been seen there. Test packages were confirmed
>> to address the issue.
>>
>> Original bug report
>> ===================
>> Munge daemon does not start in ubuntu 14.04 beta.
>>
>> sudo service munge start
>> * Starting MUNGE munged
>> [fail]
>> munged: Error: Logfile is insecure: group-writable permissions set on
>> "/var/log"
>>
>> /var/log permissions are (I have not changed them in any way):
>> drwxrwxr-x 13 root syslog 4,0K maali 4 06:40 log
>>
>> However, I can start munge manually by running "sudo munged -f", which
>> runs the daemon despite warnings.
>>
>> ProblemType: Bug
>> DistroRelease: Ubuntu 14.04
>> Package: munge 0.5.11-1ubuntu1
>> ProcV...

Read more...

Revision history for this message
Chris Dunlap (cdunlap) wrote :

I can confirm 0.5.11-1ubuntu1.1 from trusty-proposed and 0.5.11-3ubuntu0.1 from xenial-proposed both resolve this issue.

Revision history for this message
Chris Dunlap (cdunlap) wrote :

Semih, I'm not sure why slurm/sview/munge would have been installed on your system. If you're not using them, they're safe to remove.

Revision history for this message
Semih Ozlem (semozl) wrote : Re: [Bug 1287624] Re: Munged does not start

I have been trying to run mathematical software and write some mathematical
programs myself, and I was also trying to set up a LAMP server to host my
own website. I am wondering if the other software I installed on this
system required or may require those programs to function, and hence I have
been getting those messages because other programs required munge, slurm
and sview to be installed? Do you know of a list of dependencies?

On Fri, Jun 16, 2017 at 3:29 AM, Chris Dunlap <email address hidden> wrote:

> Semih, I'm not sure why slurm/sview/munge would have been installed on
> your system. If you're not using them, they're safe to remove.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1696002).
> https://bugs.launchpad.net/bugs/1287624
>
> Title:
> Munged does not start
>
> Status in munge package in Ubuntu:
> Fix Released
> Status in munge source package in Trusty:
> Fix Committed
> Status in munge source package in Xenial:
> Fix Committed
>
> Bug description:
> Steps to reproduce:
> ===================
> on 16.04 LTS:
> $ sudo apt-get install munge
>
> (without the fix, the install fails because it attempts to start the
> service in the package's postinst.)
>
> on 14.04 LTS
> $ sudo apt-get install munge
> $ sudo /usr/sbin/create-munge-key
> $ sudo service restart munge
>
> (the service restart will fail if unfixed)
>
> Regression Potential
> ====================
> Patch is from the upstream author of munge, regressions introduced by
> the patch itself would have been seen there. Test packages were confirmed
> to address the issue.
>
> Original bug report
> ===================
> Munge daemon does not start in ubuntu 14.04 beta.
>
> sudo service munge start
> * Starting MUNGE munged
> [fail]
> munged: Error: Logfile is insecure: group-writable permissions set on
> "/var/log"
>
> /var/log permissions are (I have not changed them in any way):
> drwxrwxr-x 13 root syslog 4,0K maali 4 06:40 log
>
> However, I can start munge manually by running "sudo munged -f", which
> runs the daemon despite warnings.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 14.04
> Package: munge 0.5.11-1ubuntu1
> ProcVersionSignature: Ubuntu 3.13.0-8.28-generic 3.13.2
> Uname: Linux 3.13.0-8-generic x86_64
> ApportVersion: 2.13.2-0ubuntu5
> Architecture: amd64
> Date: Tue Mar 4 11:30:24 2014
> InstallationDate: Installed on 2014-02-26 (5 days ago)
> InstallationMedia: Ubuntu-Server 14.04 LTS "Trusty Tahr" - Alpha amd64
> (20140219)
> SourcePackage: munge
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/munge/+bug/
> 1287624/+subscriptions
>

Revision history for this message
Chris Dunlap (cdunlap) wrote :

Semih, you can query dependencies and reverse-dependencies with the apt-cache command:

apt-cache showpkg <pkg> - displays info about the given package
apt-cache depends <pkg> - lists each dependency of the given package
apt-cache rdepends <pkg> - lists each reverse-dependency of the given package

See the apt-cache man page for more info.

Revision history for this message
Łukasz Zemczak (sil2100) wrote : Change of SRU verification policy

As part of a recent change in the Stable Release Update verification policy we would like to inform that for a bug to be considered verified for a given release a verification-done-$RELEASE tag needs to be added to the bug where $RELEASE is the name of the series the package that was tested (e.g. verification-done-xenial). Please note that the global 'verification-done' tag can no longer be used for this purpose.

Thank you!

Chris Dunlap (cdunlap)
tags: added: verification-done-trusty verification-done-xenial
removed: verification-needed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package munge - 0.5.11-1ubuntu1.1

---------------
munge (0.5.11-1ubuntu1.1) trusty; urgency=medium

  * Fix restrictive checks preventing munged from starting (LP: #1287624)
    - d/p/0001-Ignore-group-writable-permissions-on-LogDir.patch:
      Ignore group-writable permissions on LogDir (thanks to Chris
      Dunlap for the patch.)

 -- Steve Beattie <email address hidden> Mon, 12 Jun 2017 21:55:30 -0700

Changed in munge (Ubuntu Trusty):
status: Fix Committed → Fix Released
Revision history for this message
Chris Halse Rogers (raof) wrote : Update Released

The verification of the Stable Release Update for munge has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package munge - 0.5.11-3ubuntu0.1

---------------
munge (0.5.11-3ubuntu0.1) xenial; urgency=medium

  * Fix restrictive checks preventing munged from starting (LP: #1287624)
    - d/p/0001-Ignore-group-writable-permissions-on-LogDir.patch:
      Ignore group-writable permissions on LogDir (thanks to Chris
      Dunlap for the patch.)

 -- Steve Beattie <email address hidden> Mon, 12 Jun 2017 22:06:09 -0700

Changed in munge (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.